Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m (Replaced content with "==Propriétés== * {{PropertyData|Start}}: Le point de départ * {{PropertyData|End}}: Le point final")
Line 25: Line 25:
  
 
==Propriétés==
 
==Propriétés==
===Vue combinée → Projet → Vue===
+
* {{PropertyData|Start}}: Le point de départ
<br />
+
* {{PropertyData|End}}: Le point final
[[IMAGE:Draft_Line_fr_03.png|240px|left]]
 
{{TitreProprietes|Base}}
 
 
 
* {{ProprieteVue|Bounding Box}} : Permet de visualiser l'occupation, et, les dimensions hors tout, de l'objet dans l'espace. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
 
 
 
* {{ProprieteVue|Control Points}} : Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
 
 
 
* {{ProprieteVue|Deviation}} :
 
 
 
* {{ProprieteVue|Display Mode}} : Mode d'affichage de la forme, '''Flat lines, Shaded, Wireframe, Points''' [[IMAGE:Vue_DisplayModePartDesign_fr_00.png|96px]]. (Défaut, '''Wireframe''').
 
* {{ProprieteVue|Draw Style}} : Type de ligne, '''Solid, Dashed, Dotted, Dashdot''' [[IMAGE:Vue_DrawStyle_fr_00.png‎|96px]]. (Défaut, '''Solid''').
 
 
 
* {{ProprieteVue|End Arrow}} : Montre le symbole d'une flèche au dernier point du fil, donc, il peut être utilisé comme  une flèche d'annotation. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{TRUE}}). (Le modèle de flèche, est modifiable, à partir de '''Edition → Préférences → Draft''', tout comme la flèche des [[Draft_Dimension/fr#Options_2|cotations]]).
 
 
 
* {{ProprieteVue|Lighting}} : Éclairage '''One side, Two side''' [[IMAGE:Vue_Lighting_fr_00.png|96px]].  (Défaut, '''Two side''').
 
 
 
* {{ProprieteVue|Line Color}} : Donne la couleur de la ligne (bords) (Défaut, '''0, 0, 0''').
 
 
 
* {{ProprieteVue|Line Width}} : Donne l'épaisseur de la ligne (bords) (Défaut, '''1''').
 
 
 
* {{ProprieteVue|Point Color}} : Donne la couleur des points (extrémités de la forme) (Défaut, '''0, 0, 0''').
 
 
 
* {{ProprieteVue|Point Size}} : Donne la dimension des points (Défaut, '''2''').
 
 
 
* {{ProprieteVue|Selectable}} : Autorise la sélection de la forme. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{TRUE}}).
 
 
 
* {{ProprieteVue|Shape Color}} : Donne la couleur de la forme (Défaut, '''204, 204, 204''').
 
 
 
* {{ProprieteVue|Transparency}} : Règle le degrés de transparence de la forme, de '''0''' à '''100''' (Défaut, '''0''').
 
 
 
* {{ProprieteVue|Visibility}} : Détermine la visibilité de la forme (comme la barre {{KEY|ESPACE}}). Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{TRUE}}).
 
 
 
{{TitreProprietes|Grid}}
 
 
 
* {{ProprieteVue|Grid Size}} : Modifie la dimension de la grille, (Défaut, '''10 mm''').
 
 
 
* {{ProprieteVue|Grid Snap}} : Permet l'[[Draft_Snap/fr|accrochage]] sur la grille. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
 
 
 
* {{ProprieteVue|Grid Style}} : Change le style de ligne de la grille '''Dashed''', ou '''Light''' [[IMAGE:Vue_GridStyle_fr_00.png|96px]] (Défaut, '''Dashed''').
 
 
 
* {{ProprieteVue|Show Grid}} : Permet d'afficher, ou non la grille. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
 
 
 
* {{ProprieteVue|Tight Grid}} : Affiche une grille serrée ou non. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{TRUE}}).
 
 
 
{{clear}}
 
 
 
===Vue combinée → Projet → Données===
 
<br />
 
[[File:Draft_Line_fr_04.png |240px|left]]
 
{{TitreProprietes|2D}}
 
{{TitreProprietes|Base}}
 
 
 
{{ProprieteDonnees|Closed}} : Détermine si le '''Wire''' est '''ouvert''' ou '''fermé'''. Valeur {{FALSE}}, ou {{TRUE}} (Défaut, {{FALSE}}).
 
 
 
{{ProprieteDonnees|End}} : '''[10,00 0,00 0,00]''', récapitulatif des coordonnées de la fin de la ligne (dernier point)
 
 
 
{{ProprieteDonnees|Fillet Radius}} : Donne une courbe aux angles du '''Wire''' (Défaut, '''0 mm''').
 
 
 
{{ProprieteDonnees|Label}} : Nom de l'objet, modifiable à volonté.
 
 
 
{{ProprieteDonnees|Placement}} : [('''0,00 0,00 1,00''');'''0,00''';('''0,00 0,00 0,00''')], donne l'ensemble des données '''Axis, Angle''', et, '''Position''' ci dessous.<br />Si vous sélectionnez, le titre '''Placement''', un bouton avec {{KEY|trois petits points}} s'affiche [[Image:Tache_Placement_01_fr_00.png|256px|Options Placement]], en cliquant sur ce bouton {{KEY|''' ... '''}}, vous avez accès à la fenêtre d'options '''[[Tasks_Placement/fr|Tâche Placement]]'''.
 
* {{ProprieteDonnees|Angle}} : Angle de rotation par rapport aux coordonnées '''X, Y, Z'''
 
* {{ProprieteDonnees|Axis}} : Sélection de l'axe(s) de rotation de travail  '''X, Y''', ou '''Z'''.<br />Par exemple : nous déterminons un {{ProprieteDonnees|Angle}} de '''15°''', nous spécifions une valeur de '''1,0 pour x''' et '''2,0 pour y''', cette configuration, aura pour effet, une rotation finale de la pièce qui sera de, "''' 15° dans l'axe x''' " et "''' 30° dans l'axe y''' ". (Défaut, '''Z = 1 = actif''')
 
* {{ProprieteDonnees|Position}} : Déplacement des coordonnées '''X, Y, Z''', par rapport aux points d'origine '''0, 0, 0'''.
 
 
 
{{ProprieteDonnees|Start}} : '''[0,00 0,00 0,00]''', récapitulatif des coordonnées du début de la ligne (premier point)
 
 
 
{{clear}}
 
  
 
==Script==
 
==Script==

Revision as of 07:29, 2 August 2014

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
-
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points.

Draft Line example.jpg

Utilisation

  1. Cliquez sur le bouton Draft Line.png Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez chaque nombre puis appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne à nouveau.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accroche du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pourcontraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL+Z ou sur le bouton Draft UndoLine.png Annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.
  • La ligne nouvellement créée, adopte le style de ligne actif.

Propriétés

  • DataStart: Le point de départ
  • DataEnd: Le point final

Script

L'outil ligne peut être utilisé par la macros de la console Python en utilisant la fonction suivante :

makeLine (Vector, Vector)
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Exemple:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎